Skip to content

Delete a saved payment card

DELETE
/cms/customer/payment/card
curl --request DELETE \
--url https://api.example.com/cms/customer/payment/card \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Token: <Token>' \
--data '{ "payment_method": "example", "guid": "example" }'
Media typeapplication/json
object
payment_method
required

Payment method

string
guid
required

Card GUID to delete (if not provided, the default card will be deleted)

string

Example generated

{
"payment_method": "example",
"guid": "example"
}

Card deleted successfully

Media typeapplication/json
object
success
boolean

Example generated

{
"success": true
}

Bad Request

Unauthorized

Forbidden